package cn.pluss.platform.dto;

import java.util.Date;

import cn.pluss.platform.entity.MerchantOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author yuchen
 * 
 * @Description 
 */
@Data
public class QueryOrderDTO {
	
	@ApiModelProperty(value="当前用户Id")
	private String userId;
	
	@ApiModelProperty(value="订单号")
	private String orderNumber;
	
	@ApiModelProperty(value="订单类型")
	private String 	orderType;
	
	@ApiModelProperty(value="商家编码")
	private String merchantCode;
	
	@ApiModelProperty(value="商家名称")
	private String merchantName;
	
	@ApiModelProperty(value="支付方式编码")
	private String payTypeCode;
	
	@ApiModelProperty(value="支付方式名称")
	private String payTypeName;
	
	@ApiModelProperty(value="门店id")
	private String storeId;
	
	@ApiModelProperty(value="门店名称")
	private String 	storeName;
	
	@ApiModelProperty(value="消费金额")
	private Double consumeFee;
	
	@ApiModelProperty(value="分润人的userId")
	private String promoteruserId;
	
	@ApiModelProperty(value="分润金额")
	private String shareMoney;
	
	@ApiModelProperty(value="订单创建时间")
	private Date createDt;
	
	@ApiModelProperty(value="交易人员id")
	private String staffCode;
	
	@ApiModelProperty(value="交易人员名称")
	private String staffName;
	
	@ApiModelProperty(value="到账金额")
	private Double enterFee;
	
	@ApiModelProperty(value="支付通道")
	private String aisleSwitch;
	
	@ApiModelProperty(value="备注")
	private String remark;
	
	@ApiModelProperty(value="乐刷商户Id")
	private String leshuaMchId;

	public MerchantOrder convertMerchantOrder() {
		MerchantOrder merchantOrder=new MerchantOrder();
		merchantOrder.setMerchantCode(merchantCode);
		merchantOrder.setMerchantName(merchantName);
		merchantOrder.setAisleSwitch(aisleSwitch);
		merchantOrder.setCreateDt(createDt);
		merchantOrder.setUpdateTime(createDt);
		merchantOrder.setOrderType(orderType);
		merchantOrder.setPayTypeCode(payTypeCode);
		merchantOrder.setPayTypeName(payTypeName);
		merchantOrder.setStoreId(storeId);
		merchantOrder.setStoreName(storeName);
		merchantOrder.setConsumeFee(consumeFee);
		merchantOrder.setEnterFee(enterFee);
		merchantOrder.setRemark(remark);
		merchantOrder.setStaffCode(staffCode);
		merchantOrder.setStoreName(storeName);
		return merchantOrder;
	}
	
	

}

